Subject: The RADEXT User's Guide to TRAC

From: Bernard Aboba <[email-masked]>
Date: Thu, 13 May 2010 19:30:40 -0700

The RADEXT WG is now using the TRAC database to keep track of issues relating to work in progress, including working group work items and individual submissions undergoing review.    This document provides some basic information on how to use TRAC to submit or edit issues.  

Documentation relating to the TRAC Issue Tracking database is available here:
http://trac.tools.ietf.org/wg/radext/trac/wiki
 
Since this documentation is somewhat lengthy (and mostly relevant to Admins), here is a pithy synopsis. 
 
1.       To submit an issue in TRAC, you first need to login to the RADEXT WG site on the tools server:  http://tools.ietf.org/wg/radext/trac/login 
 
2.       If you don’t already have a login ID, you can obtain one by navigating to this site:   http://trac.tools.ietf.org/newlogin
 
3.       Once you have obtained an account, and have logged in, you can file an issue by navigating to the  ticket entry form: 
http://trac.tools.ietf.org/wg/radext/trac/newticket
 
4.       When opening an issue:
 
a.       The Type: field should be set to “defect” for an issue with the current document text, or “enhancement” for a proposed addition of functionality (such as an additional requirement). 
 
b.      The Priority: field is set based on the severity of the Issue.   For example, editorial issues are typically “minor” or “trivial”. 
 
c.       The Milestone: field should be set to milestone1 (useless, I know). 
 
d.      The Component: field should be set to the document you are filing the issue on.  
 
e.      The Version: field should be set to “1.0”. 
 
f.        The Severity: field should be set to based on the status of the document (e.g. “In WG Last Call” for a document in WG last call)
 
g.        The Keywords: and CC: fields can be left blank unless inspiration seizes you. 
 
h.      The Assign To: field is generally filled in with the email address of the editor. 
 
5.       Typically it won’t be necessary to enclose a file with the ticket, but if you need to, select “I have files to attach to this ticket”. 
 
6.       If you want to preview your Issue, click on the “Preview” button.  When you’re ready to submit the issue, click on the “Create Ticket” button. 
 
7. If you want to update an issue, go to the "View Tickets" page:http://trac.tools.ietf.org/wg/radext/trac/report/1
 
Click on the ticket # you want to update, and then modify the ticket fields as required. 
 
That’s it!  
 
If you encounter problems with TRAC, send email to me and I’ll try to figure out what’s going on. 
 
Happy TRACing,
 
Bernard